


@import "/css/fonts.css";
@import "/css/dflightbox.css";


:root {
  --padding-1: 0.25rem;
  --padding-2: 0.5rem;
  --padding-3: 1rem;
  --padding-4: 1.5rem;
  --padding-5: 3rem;
}

html {
  background-color: var(--bg);
  scrollbar-width: thin;
  scrollbar-color: var(--primary) rgba(0,0,0,0);
}

body {
  margin: auto;
  letter-spacing: 0px;
  line-height: 1.15;
}

* {
  box-sizing: border-box;
}

.container {
  max-width: 1200px;
  margin: auto;
  display: block;
}

header {
  display: flex;
  justify-content: center;
  align-items:center;
  padding-left:20px;
  padding-right:20px;
  padding-top:20px;
}

.header-content {
  width: 100%;
  border-bottom: var(--border);
}

.title-section .title {
  font-family: "BIZ UDMincho";
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

.title a:hover {
  color: var(--primary);
  text-decoration: none;
}

.navigation-bar .navigation-links {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  align-items: center;
  list-style: none;
  gap: 20px;
  padding: 0px;
}

.navigation-links a:link {
  font-family: "BIZ UDMincho";
  font-weight: bold;
  font-size: 1.5em;
}

@media (max-width: 768px) {
  
  .title-section .title {
    justify-content: center;
  }
  
  .navigation-bar .navigation-links {
    justify-content: center;
  }
  
}

main {
  display:flex;
  flex-wrap:wrap;
  opacity: 0;
  animation: fadeIn 1s forwards;
}

@keyframes fadeIn {
  to {
        opacity: 1;
      }
}

main .main-content {
  max-width:100%;
  display:flex;
  flex-wrap:wrap;
}

/* ---------------------- COLUMN CUSTOMIZATION ---------------------- */

.d-flex {
  display: flex;
}

.flex-column {
  flex-direction: column;
}

.flex-fill {
  flex: 1 1 auto;
}


.flexcontainer {
    display:flex;
    flex-wrap:wrap;
    margin: auto;
    gap: 15px;
}

.full {
  flex: 1 1 calc(100% - 7.5px);
}

.half {
  flex: 1 1 calc(50% - 7.5px);
}

.third {
  flex: 1 1 calc(33% - 7.5px);
}

.twothird {
  flex: 1 1 calc(66% - 7.5px);
}

.quarter {
  flex: 1 1 calc(25% - 7.5px);
}

.threequarter {
  flex: 1 1 calc(75% - 7.5px);
}

/* ---------------------- ELEMENT CUSTOMIZATION ---------------------- */

.card {
  border: var(--border);
  border-radius: var(--border-radius);
  background-color: var(--body);
  overflow: hidden;
}

.card-header {
  border-bottom: var(--border);
  background-color: var(--primary);
}

.card-header h1 {
  color: var(--text-light);
  line-height: 0;
}

.card-header h2 {
  color: var(--text-light);
  line-height: 0;
}

.card-header h3 {
  color: var(--text-light);
  line-height: 0;
}

.card-header h4 {
  color: var(--text-light);
  line-height: 0;
}

.card-body {
  width:100%;
}

.card-footer {
  border-top: var(--border);
  color: var(--text-faded);
}

/* ---------------------- IMAGE GALLERY LIGHTBOX CUSTOMIZATION ---------------------- */

.img-gallery {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  gap: 0px;
  padding-left: var(--padding-4);
  padding-right: var(--padding-4);
}

.img-gallery .img-gallery-item-full {
  width: 100%;
  height: 400px;
}

.img-gallery-item-full a {
  margin: auto;
}

.img-gallery-item-full img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.img-gallery .img-gallery-item-half {
  max-width: 50%;
  height: 300px;
}

.img-gallery-item-half a {
  margin: auto;
}

.img-gallery-item-half img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.img-gallery .img-gallery-item-fourth {
  max-width: 25%;
  height: 200px;
}

.img-gallery-item-fourth a {
  margin: auto;
}

.img-gallery-item-fourth img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.img-gallery img {
  transition: 0.25s;
}

.img-gallery img:hover {
  cursor: zoom-in;
  transform: scale(0.975);
  border-radius: 15px;
}

/* ---------------------- LIGHTBOX STYLING ---------------------- */

.lightbox {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.9);
  justify-content: center;
  align-items: center;
  z-index: 1000;
}

.lightbox img {
  max-width: 80%;
  max-height: 80%;
  object-fit: contain;
}

.lightbox .prev,
.lightbox .next {
  height: 50px;
  width: 50px;
  position: absolute;
  transform: translateY(calc(-50% + 25px));
  font-size: 2.5rem;
  background-color: transparent;
  color: var(--text-light);
  padding: 10px;
  border: none;
  cursor: pointer;
  border-radius: 50%;
  z-index: 1001;
}

.lightbox .prev {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0px;
  left: var(--padding-3);
}

.lightbox .next {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0px;
  right: var(--padding-3);
}

.lightbox .close {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  top: var(--padding-3);
  right: var(--padding-3);
  background: none;
  color: var(--text-light);
  border: none;
  font-size: 2rem;
  width: 30px;
  height: 30px;
  padding: 0px;
}

.lightbox .close:hover {
  cursor: pointer;
}

/* ---------------------- PADDING CUSTOMIZATION ---------------------- */

.my-auto {
  margin-bottom: auto;
  margin-top: auto;
}

.p-1 {
  padding: var(--padding-1);
}

.px-1 {
  padding-left: var(--padding-1);
  padding-right: var(--padding-1);
}

.py-1 {
  padding-top: var(--padding-1);
  padding-bottom: var(--padding-1);
}

.pl-1 {
  padding-left: var(--padding-1);
}

.pr-1 {
  padding-right: var(--padding-1);
}

.pt-1 {
  padding-top: var(--padding-1);
}

.pb-1 {
  padding-bottom: var(--padding-1);
}

.p-2 {
  padding: var(--padding-2);
}

.px-2 {
  padding-left: var(--padding-2);
  padding-right: var(--padding-2);
}

.py-2 {
  padding-top: var(--padding-2);
  padding-bottom: var(--padding-2);
}

.pl-2 {
  padding-left: var(--padding-2);
}

.pr-2 {
  padding-right: var(--padding-2);
}

.pt-2 {
  padding-top: var(--padding-2);
}

.pb-2 {
  padding-bottom: var(--padding-2);
}

.p-3 {
  padding: var(--padding-3);
}

.px-3 {
  padding-left: var(--padding-3);
  padding-right: var(--padding-3);
}

.py-3 {
  padding-top: var(--padding-3);
  padding-bottom: var(--padding-3);
}

.pl-3 {
  padding-left: var(--padding-3);
}

.pr-3 {
  padding-right: var(--padding-3);
}

.pt-3 {
  padding-top: var(--padding-3);
}

.pb-3 {
  padding-bottom: var(--padding-3);
}

.p-4 {
  padding: var(--padding-4);
}

.px-4 {
  padding-left: var(--padding-4);
  padding-right: var(--padding-4);
}

.py-4 {
  padding-top: var(--padding-4);
  padding-bottom: var(--padding-4);
}

.pl-4 {
  padding-left: var(--padding-4);
}

.pr-4 {
  padding-right: var(--padding-4);
}

.pt-4 {
  padding-top: var(--padding-4);
}

.pb-4 {
  padding-bottom: var(--padding-4);
}

.p-5 {
  padding: var(--padding-5);
}

.px-5 {
  padding-left: var(--padding-5);
  padding-right: var(--padding-5);
}

.py-5 {
  padding-top: var(--padding-5);
  padding-bottom: var(--padding-5);
}

.pl-5 {
  padding-left: var(--padding-5);
}

.pr-5 {
  padding-right: var(--padding-5);
}

.pt-5 {
  padding-top: var(--padding-5);
}

.pb-5 {
  padding-bottom: var(--padding-5);
}

/* ---------------------- MEDIA QUERIES ---------------------- */


@media screen and (max-width: 768px) {
  
  .flexcontainer {
      display:block;
  }
  
  .img-gallery {
    padding-left: var(--padding-2);
    padding-right: var(--padding-2);
  }
  
  .img-gallery .img-gallery-item-half {
    height: 200px;
  }
  
  .img-gallery .img-gallery-item-fourth {
    max-width: 50%;
  }
  
}


@media screen and (max-width: 576px) {
  
  .img-gallery {
    padding-left: 0px;
    padding-right: 0px;
  }
  
  .img-gallery .img-gallery-item-full {
    height: 550px;
  }
  
  .img-gallery .img-gallery-item-half {
    height: 200px;
  }
  
  .img-gallery .img-gallery-item-fourth {
    max-width: 50%;
  }
  
  .lightbox img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
  }
  
}

/* ---------------------- TEXT CUSTOMIZATION ---------------------- */

::selection {
  color: var(--text-light);
  background: var(--tertiary);
}

h1 {
  font-family: "BIZ UDMincho";
  font-weight: bold;
  font-size:2em;
  color: var(--primary);
}

h2 {
  font-weight: bold;
  font-size:1.5em;
}

h3 {
  font-weight: bold;
  font-size:1.3em;
}

h4 {
  font-weight: bold;
  font-size:1.1em;
}

b {
  font-weight: bold;
}

u {
  text-decoration: underline;
  text-decoration-style: wavy;
  text-decoration-color: var(--primary);
}

ul {
  margin-inline-start: 0em;
}

.icon::before {
  display: inline-block;
  text-rendering: auto;
  -webkit-font-smoothing: antialiased;
}

.fa-ul li + li {
  margin-top: 10px;
}

.fa-ul li .fa-ul li {
  margin-top: 10px;
}

li .fa-li .fa-caret-right {
  color: var(--primary);
}

blockquote {
  width: 100%;
  border-left: 2.5px solid var(--border-color);
  margin-left: 0px;
  margin-right: 0px;
  padding-right: var(--padding-4);
  padding-left: var(--padding-4);
  padding-top: var(--padding-2);
  padding-bottom: var(--padding-2);
  color: var(--text-faded);
}

/* unvisited link */
a:link {
  color: var(--primary);
  text-decoration: none;
}

/* visited link */
a:visited {
  color: var(--primary);
  text-decoration: none;
}

/* mouse over link */
a:hover {
  color: var(--secondary);
  text-decoration: underline;
}

/* selected link */
a:active {
  color: var(--secondary);
  text-decoration: none;
}